Kling 3.0 Pro Image to Video
Integroi
kling-video/v3/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/fi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v3/pro/image-to-video",
"input": {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}
}
Kutsu mallia Kling 3.0 Pro Image to Video (kling-video/v3/pro/image-to-video) Doitong API:n kautta. Dokumentaatio agenteille: https://doitong.com/fi/developers/models/kling-video/v3/pro/image-to-video.md
POST https://api.doitong.ru/v1/run/kling-video/v3/pro/image-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}
Jos vastauksen tila on "queued" tai "running", kysy GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 uudelleen, kunnes tila on "succeeded"; tiedostot ovat kohteessa outputs[].url. POST https://api.doitong.ru/v1/quote/kling-video/v3/pro/image-to-video samalla rungolla palauttaa tarkan hinnan ennen suorittamista.
Tämä pyyntö: 0,56 $ 560 API-krediittiä · ≈ 59,68 ₽ Suorita tällä sivulla
Uusi API-avaimesi. Se näytetään vain nyt, ja se on jo koodissa ja alla olevassa API-avainkentässä. Pidä se salassa: älä koskaan lisää sitä selaimessa suoritettavaan koodiin.
Esimerkit
Muodosta pyyntö
Säätimet luodaan mallin skeemasta. Koodi ja hinta päivittyvät, kun muutat arvoja.
/run/kling-video/v3/pro/image-to-video?wait=20
hinta → 0,56 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v3/pro/image-to-video",
"input": {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
},
"wait_seconds": 20
}
}
}
Suorita tämä pyyntö
Avaimesi säilyy tässä selaimessa: se lähetetään vain Doitong APIlle ja tallennetaan localStorageen vain, jos valitset Muista. Hanki API-avain
Tehty Doitongilla
Doitong-yhteisön Kling v3-mallilla tekemät julkiset työt. Käytä kehotetta uudelleen yhdellä napsautuksella.
Video
Оживи исходное изображение. Полностью сохрани внешность девушки, лицо, причёску, одежду, интерьер, цвета, композицию и русский текст. Девушка смотрит прямо на зрителя, естественно улыбается, моргает, слегка наклоняется вперёд и показывает пальцем на зрителя. Она естественно произносит по-русски:...
Video
Оживи исходное изображение, полностью сохрани внешность девушки и дизайн розового персонажа, их лица, цвета, интерьер, композицию и существующий русский текст. Розовый персонаж оживает, смотрит на зрителя, радостно улыбается, моргает, слегка подпрыгивает и машет рукой. Он произносит по-русски:...
Video
Make A warm, emotional 25 second video cinematic scene of a 4 years of boy with dark brown hair and big eyes having a difficult moment—crying, reaching toward their mother, and showing frustration. The mother initially looks concerned,she listens him then gently kneels down, makes eye contact,...
Video
Ты эксперт в медиа продвижении в социальных сетях --- Название рилс: "Ошибка №1 После Развода: Почему ты тормозишь себя?" Хук (Первые 3-5 секунд): * Визуал: Крупный план вашего лица, выражающего легкое недоумение или задумчивость. Затем резкий переход к черно-белой картинке или затемнению. *...
Video
🎬 Фильм «Мамы больше нет» Общий стиль для всех сцен: Фотореалистичный современный российский художественный фильм. Настоящие люди, реальные человеческие лица, натуральная кожа, естественная мимика и движения. Реальная квартира, естественный дневной и вечерний свет, кинематографическая камера,...
Video
Use the uploaded image as the exact identity and appearance reference. Create a short hyperrealistic video where the woman keeps exactly the same face, identity, facial features, proportions, skin tone, hairstyle, bouquet, white shirt, pink balloons, candles “24”, and background. The motion must...
Video
Медленное плавное приближение камеры к гигантскому флакону духов в миниатюрном ночном городе. Две маленькие машины спокойно проезжают по дороге перед основанием флакона. Вдали едва заметно движется лёгкая дымка. Огни города мягко отражаются на мокром асфальте. Флакон стоит неподвижно. Его форма,...
Video
Девушка всилит дома смотрит интернете ищет салон красоты ,находит салон,приходит в салон наш с кудрявыми волосами ,другой мастер кератиновое выпрямление волос ,и она смотрит на свои волосы в зеркало и очень счастлива и благодарит мастера Анастасию Render entirely in "Claymation" style — match its...
Video
Animate this baby very gently and naturally. She is lying on her tummy and happily playing with the colorful toy in front of her. She smiles warmly, softly blinks, makes tiny hand and finger movements toward the toy, slightly wiggles her body, and shows subtle natural breathing. The toy can move...
Video
The toddler slowly lowers his raised hand and gently pats his own bottom, then continues rhythmically patting his bottom many times, slowly and softly, his palm touches only his own body, his hand stays close to his body, like a mother soothing a baby, in a sweet cute baby voice he quietly coos...
Video
Дверь кофейни резко открывается. Внутрь заходит эффектная рыжеволосая девушка в чёрной кожаной куртке, шлем под мышкой. На улице у входа виден её мощный мотоцикл. Она уверенно подходит к стойке. Бариста — симпатичный парень-ботан в очках, с растрёпанными волосами, — поднимает глаза от кофемашины....
Video
A cinematic 3D Pixar-style animation. The same young firefighter gently polishes his silver helmet marked with the number 5. He blinks naturally, smiles slightly, and turns his eyes toward the flashing red alarm light. Red emergency lights pulse and reflect on his helmet and face. Subtle hand...
Video
Cinematic 3D Pixar-style animation. The same young firefighter from the previous shot suddenly hears the emergency alarm. His expression changes from calm to determined. He quickly turns his head toward the flashing red alarm light, grabs his silver firefighter helmet marked with the number 5,...
Video
Ultra-realistic 4K ASMR video, vertical 9:16. A whole fresh brown coconut with a realistic hairy shell sits on a beautiful dark wooden cutting board. Cinematic macro close-up, soft studio lighting, luxurious satisfying aesthetic. A hand slowly approaches holding a sharp stainless steel knife. The...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: a compact studio room A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: why leaves have veins A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Tietoja: Kling 3.0 Pro Image to Video
Klingin lippulaivamalli image-to-video pitää aloituskuvan kohteen vakaana ja lisää luonnollisen liikkeen, kamera-ajot sekä oletusarvoisesti yhteensopivan äänen ja puheen. Anna lopetuskuva määrittääksesi, mihin otos päättyy, jaa yksi generointi useaksi otokseksi otoskohtaisilla kehotteilla tai kiinnitä toistuvat hahmot ja objektit viite-elementeillä. Kuvan muoto seuraa aloituskuvaa.
Parametrit
Lähetä joko kanoninen nimi tai natiivi nimi, älä molempia. Kanoniset nimet
promptvalinnainen
multi_promptvalinnainen
multi_prompt[].promptpakollinen
multi_prompt[].durationvalinnainen
start_image_urlpakollinen
image
durationvalinnainen
generate_audiovalinnainen
end_image_urlvalinnainen
end_image
elementsvalinnainen
elements[].frontal_image_urlvalinnainen
elements[].reference_image_urlsvalinnainen
elements[].video_urlvalinnainen
elements[].voice_idvalinnainen
shot_typevalinnainen
negative_promptvalinnainen
cfg_scalevalinnainen
Tiedostoparametrit hyväksyvät julkisen https://-URL:n, enintään 10 MB:n data:-URI:n tai lähetyksen file_url-arvon. Tiedostot
Tulos
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v3/pro/image-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 560,
"usd": "0.56",
"charged": 560,
"refunded": 0
},
"input": {
"prompt": "The banana manager turns to the camera, smiles and waves while coworkers keep typing, gentle handheld camera",
"image": "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png",
"duration": 5
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Tuloksen kentät
- video
- object {url, content_type, file_name, file_size}Mallin tuottama video.
Muut Kling v3-muunnelmat
Lisää malleja: Kuvasta videoksi
Tekoälyagenteille: tämän sivun Markdown-muoto on osoitteessa https://doitong.com/fi/developers/models/kling-video/v3/pro/image-to-video.md. Kaikki mallit ja oppaat: https://doitong.com/developers/llms.txt